'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.BoxModel = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Dropdown = require('../Dropdown/Dropdown');

var _FormInput = require('../FormInput/FormInput');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * Flexible component for designing box models.
 */
var BoxModel = exports.BoxModel = function (_Component) {
	_inherits(BoxModel, _Component);

	function BoxModel(props) {
		_classCallCheck(this, BoxModel);

		var _this = _possibleConstructorReturn(this, (BoxModel.__proto__ || Object.getPrototypeOf(BoxModel)).call(this, props));

		_this.render = function () {
			return _react2.default.createElement(
				'div',
				{ className: 'cp-boxModel' },
				_react2.default.createElement(
					'div',
					{ className: 'cp-boxModel-section cp-boxModel-section--margin' },
					_react2.default.createElement(
						'p',
						{ className: 'cp-boxModel-section-label' },
						'Margin'
					),
					_react2.default.createElement(
						'div',
						{ className: 'cp-boxModel-valueBox cp-boxModel-valueBox--top' },
						_react2.default.createElement(
							'div',
							{ className: 'cp-boxModel-valueBoxInner' },
							_react2.default.createElement(
								'div',
								{ className: 'cp-boxModel-inputGroup' },
								_react2.default.createElement(_FormInput.FormInput, { size: 'small', slim: true }),
								_react2.default.createElement(_Dropdown.Dropdown, { options: ['px', 'em', '%'], startValue: 'px', size: 'small', slim: true })
							)
						)
					),
					_react2.default.createElement(
						'div',
						{ className: 'cp-boxModel-valueBox cp-boxModel-valueBox--left' },
						_react2.default.createElement(
							'div',
							{ className: 'cp-boxModel-valueBoxInner' },
							_react2.default.createElement(
								'div',
								{ className: 'cp-boxModel-inputGroup' },
								_react2.default.createElement(_FormInput.FormInput, { size: 'small', slim: true }),
								_react2.default.createElement(_Dropdown.Dropdown, { options: ['px', 'em', '%'], startValue: 'px', size: 'small', slim: true })
							)
						)
					),
					_react2.default.createElement(
						'div',
						{ className: 'cp-boxModel-section cp-boxModel-section--padding' },
						_react2.default.createElement(
							'p',
							{ className: 'cp-boxModel-section-label' },
							'Padding'
						),
						_react2.default.createElement(
							'div',
							{ className: 'cp-boxModel-valueBox cp-boxModel-valueBox--top' },
							_react2.default.createElement(
								'div',
								{ className: 'cp-boxModel-valueBoxInner' },
								_react2.default.createElement(
									'div',
									{ className: 'cp-boxModel-inputGroup' },
									_react2.default.createElement(_FormInput.FormInput, { size: 'small', slim: true }),
									_react2.default.createElement(_Dropdown.Dropdown, { options: ['px', 'em', '%'], startValue: 'px', size: 'small', slim: true })
								)
							)
						),
						_react2.default.createElement(
							'div',
							{ className: 'cp-boxModel-valueBox cp-boxModel-valueBox--left' },
							_react2.default.createElement(
								'div',
								{ className: 'cp-boxModel-valueBoxInner' },
								_react2.default.createElement(
									'div',
									{ className: 'cp-boxModel-inputGroup' },
									_react2.default.createElement(_FormInput.FormInput, { size: 'small', slim: true }),
									_react2.default.createElement(_Dropdown.Dropdown, { options: ['px', 'em', '%'], startValue: 'px', size: 'small', slim: true })
								)
							)
						),
						_react2.default.createElement(
							'div',
							{ className: 'cp-boxModel-section cp-boxModel-section--content' },
							_react2.default.createElement(
								'p',
								{ className: 'cp-boxModel-section-label cp-boxModel-section-label--content' },
								'Width \xD7 Height'
							),
							_react2.default.createElement(
								'div',
								{ className: 'cp-boxModel-valueBox' },
								_react2.default.createElement(
									'div',
									{ className: 'cp-boxModel-valueBoxInner' },
									_react2.default.createElement(
										'div',
										{ className: 'cp-boxModel-inputGroup' },
										_react2.default.createElement(_FormInput.FormInput, { size: 'small', slim: true }),
										_react2.default.createElement(_Dropdown.Dropdown, { options: ['px', 'em', '%'], startValue: 'px', size: 'small', slim: true })
									),
									' \xD7 ',
									_react2.default.createElement(
										'div',
										{ className: 'cp-boxModel-inputGroup' },
										_react2.default.createElement(_FormInput.FormInput, { size: 'small', slim: true }),
										_react2.default.createElement(_Dropdown.Dropdown, { options: ['px', 'em', '%'], startValue: 'px', size: 'small', slim: true })
									)
								)
							)
						),
						_react2.default.createElement(
							'div',
							{ className: 'cp-boxModel-valueBox cp-boxModel-valueBox--right' },
							_react2.default.createElement(
								'div',
								{ className: 'cp-boxModel-valueBoxInner' },
								_react2.default.createElement(
									'div',
									{ className: 'cp-boxModel-inputGroup' },
									_react2.default.createElement(_FormInput.FormInput, { size: 'small', slim: true }),
									_react2.default.createElement(_Dropdown.Dropdown, { options: ['px', 'em', '%'], startValue: 'px', size: 'small', slim: true })
								)
							)
						),
						_react2.default.createElement(
							'div',
							{ className: 'cp-boxModel-valueBox cp-boxModel-valueBox--bottom' },
							_react2.default.createElement(
								'div',
								{ className: 'cp-boxModel-valueBoxInner' },
								_react2.default.createElement(
									'div',
									{ className: 'cp-boxModel-inputGroup' },
									_react2.default.createElement(_FormInput.FormInput, { size: 'small', slim: true }),
									_react2.default.createElement(_Dropdown.Dropdown, { options: ['px', 'em', '%'], startValue: 'px', size: 'small', slim: true })
								)
							)
						)
					),
					_react2.default.createElement(
						'div',
						{ className: 'cp-boxModel-valueBox cp-boxModel-valueBox--right' },
						_react2.default.createElement(
							'div',
							{ className: 'cp-boxModel-valueBoxInner' },
							_react2.default.createElement(
								'div',
								{ className: 'cp-boxModel-inputGroup' },
								_react2.default.createElement(_FormInput.FormInput, { size: 'small', slim: true }),
								_react2.default.createElement(_Dropdown.Dropdown, { options: ['px', 'em', '%'], startValue: 'px', size: 'small', slim: true })
							)
						)
					),
					_react2.default.createElement(
						'div',
						{ className: 'cp-boxModel-valueBox cp-boxModel-valueBox--bottom' },
						_react2.default.createElement(
							'div',
							{ className: 'cp-boxModel-valueBoxInner' },
							_react2.default.createElement(
								'div',
								{ className: 'cp-boxModel-inputGroup' },
								_react2.default.createElement(_FormInput.FormInput, { size: 'small', slim: true }),
								_react2.default.createElement(_Dropdown.Dropdown, { options: ['px', 'em', '%'], startValue: 'px', size: 'small', slim: true })
							)
						)
					)
				)
			);
		};

		_this.state = {};
		return _this;
	}

	return BoxModel;
}(_react.Component);

exports.default = BoxModel;