'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.CPPopover = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var CPPopover = exports.CPPopover = function (_Component) {
	_inherits(CPPopover, _Component);

	function CPPopover(props) {
		_classCallCheck(this, CPPopover);

		var _this = _possibleConstructorReturn(this, (CPPopover.__proto__ || Object.getPrototypeOf(CPPopover)).call(this, props));

		_this.componentWillMount = function () {
			_this.setState({
				isOpen: _this.props.isOpen
			});

			setTimeout(function () {
				this.setState({
					isShowing: false
				});
			}.bind(_this), _this.props.autoDismissDelay);
		};

		_this.render = function () {
			return _react2.default.createElement(
				'span',
				{ hidden: !_this.props.isOpen,
					style: { marginTop: '0.25rem', position: 'absolute', fontSize: 12 } },
				_this.props.text
			);
		};

		_this.state = {
			isOpen: false
		};
		return _this;
	}

	return CPPopover;
}(_react.Component);

CPPopover.displayName = 'CPUIPopover';
CPPopover.propTypes = {
	content: _propTypes2.default.any,
	placement: _propTypes2.default.string,
	subtitle: _propTypes2.default.string,
	isOpen: _propTypes2.default.bool,
	title: _propTypes2.default.string,
	autoDismissDelay: _propTypes2.default.number
};
CPPopover.defaultProps = {
	isOpen: false,
	placement: 'right',
	autoDismissDelay: 5000
};
exports.default = CPPopover;