'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.FormIcon = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Spinner = require('./../Spinner');

var _Spinner2 = _interopRequireDefault(_Spinner);

var _Octicons = require('./../../Octicons');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var icons = _Octicons.Octicon.map;

var FormIcon = exports.FormIcon = function (_Component) {
	_inherits(FormIcon, _Component);

	function FormIcon() {
		var _ref;

		var _temp, _this, _ret;

		_classCallCheck(this, FormIcon);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = FormIcon.__proto__ || Object.getPrototypeOf(FormIcon)).call.apply(_ref, [this].concat(args))), _this), _this.render = function () {
			// classes
			var className = (0, _classnames2.default)('IconField__icon', icons[_this.props.icon].className, _this.props.fill ? 'IconField__icon-fill--' + _this.props.fill : null, _this.props.type ? 'IconField__icon-color--' + _this.props.type : null, _this.props.className);
			var component = _this.props.isLoading ? _react2.default.createElement(_Spinner2.default, { size: 'sm' }) : _react2.default.createElement('div', { className: className });
			return component;
		}, _temp), _possibleConstructorReturn(_this, _ret);
	}

	return FormIcon;
}(_react.Component);

FormIcon.propTypes = {
	className: _propTypes2.default.string,
	color: _propTypes2.default.oneOf(['danger', 'default', 'muted', 'primary', 'success', 'warning']),
	fill: _propTypes2.default.oneOf(['danger', 'default', 'muted', 'primary', 'success', 'warning']),
	icon: _propTypes2.default.string,
	isLoading: _propTypes2.default.bool,
	type: _propTypes2.default.string
};
exports.default = FormIcon;