"use strict";

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.ActionsBar = undefined;

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * The CivicPlus actions bar container.
 */
var ActionsBar = exports.ActionsBar = function (_Component) {
	_inherits(ActionsBar, _Component);

	function ActionsBar() {
		var _ref;

		var _temp, _this, _ret;

		_classCallCheck(this, ActionsBar);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = ActionsBar.__proto__ || Object.getPrototypeOf(ActionsBar)).call.apply(_ref, [this].concat(args))), _this), _this.render = function () {
			var children = [];
			if (_this.props.children.length > 1) {
				for (var i = 0; i < _this.props.children.length; i++) {
					var child = _this.props.children[i];
					children.push(_react2.default.createElement(
						"div",
						{ key: i, className: "cp-actionsBar-section" },
						child
					));
				}
			} else if (_this.props.children !== "undefined") {
				children.push(_react2.default.createElement(
					"div",
					{ className: "cp-actionsBar-section" },
					_this.props.children
				));
			}

			return _react2.default.createElement(
				"div",
				{ className: "cp-actionsBar" },
				children
			);
		}, _temp), _possibleConstructorReturn(_this, _ret);
	}

	return ActionsBar;
}(_react.Component);

exports.default = ActionsBar;