'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.CPPage = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _CPToolbar = require('./../CPToolbar');

var _CPFooter = require('./../CPFooter');

var _CPHeader = require('./../CPHeader');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var CPPage = exports.CPPage = function (_Component) {
	_inherits(CPPage, _Component);

	function CPPage(props) {
		_classCallCheck(this, CPPage);

		var _this = _possibleConstructorReturn(this, (CPPage.__proto__ || Object.getPrototypeOf(CPPage)).call(this, props));

		_this.render = function () {

			return _react2.default.createElement(
				'div',
				{ className: 'cp-AdminWrap' },
				_react2.default.createElement(
					'div',
					{ className: 'cp-OuterWrap' },
					_react2.default.createElement(_CPToolbar.CPToolbar, null),
					_react2.default.createElement(
						'div',
						{ className: 'cp-InnerWrap', style: { "paddingTop": "50px" } },
						_react2.default.createElement(
							'div',
							{ id: '#wrap', className: 'cp-Wrap' },
							_react2.default.createElement(_CPHeader.CPHeader, {
								title: 'Group Management',
								subtitle: 'CivicPlus',
								icon: 'iconUsers',
								searchPlaceHolder: 'Search Groups',
								searchInputHandler: _this.searchInputHandler,
								searchFunction: _this.searchFunction,
								clearSearchFunction: _this.clearSearchFunction,
								isSubmitSearch: false }),
							_react2.default.createElement(
								'div',
								null,
								_this.state.value
							),
							_react2.default.createElement(
								'div',
								{ className: 'cp-Main' },
								_this.props.children
							)
						)
					),
					_react2.default.createElement(_CPFooter.CPFooter, null)
				)
			);
		};

		_this.state = {
			value: ''
		};
		_this.searchInputHandler = _this.searchInputHandler.bind(_this);
		_this.searchFunction = _this.searchFunction.bind(_this);
		_this.clearSearchFunction = _this.clearSearchFunction.bind(_this);
		return _this;
	}

	_createClass(CPPage, [{
		key: 'searchInputHandler',
		value: function searchInputHandler(event) {
			this.setState({ value: event.target.value.trim() });
		}
	}, {
		key: 'searchFunction',
		value: function searchFunction() {
			this.setState({ value: 'SEARCHED' });
		}
	}, {
		key: 'clearSearchFunction',
		value: function clearSearchFunction() {
			this.setState({ value: '' });
		}
	}]);

	return CPPage;
}(_react.Component);

CPPage.propTypes = {
	/** Something */
	hasLeftNav: _propTypes2.default.bool
};
exports.default = CPPage;