'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.ModalHeader = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _blacklist = require('blacklist');

var _blacklist2 = _interopRequireDefault(_blacklist);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var ModalHeader = exports.ModalHeader = function (_Component) {
	_inherits(ModalHeader, _Component);

	function ModalHeader() {
		var _ref;

		var _temp, _this, _ret;

		_classCallCheck(this, ModalHeader);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = ModalHeader.__proto__ || Object.getPrototypeOf(ModalHeader)).call.apply(_ref, [this].concat(args))), _this), _this.handleClose = function () {
			document.body.style.overflow = null;
			_this.props.onClose();
		}, _this.render = function () {

			// elements
			var className = (0, _classnames2.default)('cp-PopOver-header', _this.props.className);
			var close = _this.props.showCloseButton ? _react2.default.createElement(
				'button',
				{ type: 'button', onClick: _this.handleClose, className: 'cp-Btn cp-PopOver-close' },
				_react2.default.createElement(
					'svg',
					{ className: 'cp-Icon--close', alt: 'close', title: 'close' },
					_react2.default.createElement('use', { xlinkHref: '#iconClose' })
				)
			) : null;
			var text = _this.props.text ? _react2.default.createElement(
				'h3',
				{ className: 'cp-PopOver-title' },
				_this.props.text
			) : null;
			var props = (0, _blacklist2.default)(_this.props, 'children', 'onClose', 'showCloseButton', 'text');

			return _react2.default.createElement(
				'div',
				_extends({}, props, { className: className }),
				close,
				text,
				_this.props.children
			);
		}, _temp), _possibleConstructorReturn(_this, _ret);
	}

	return ModalHeader;
}(_react.Component);

ModalHeader.propTypes = {
	children: _propTypes2.default.node,
	className: _propTypes2.default.string,
	onClose: _propTypes2.default.func,
	showCloseButton: _propTypes2.default.bool,
	text: _propTypes2.default.string
};
exports.default = ModalHeader;