'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.Spinner = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Spinner = exports.Spinner = function (_Component) {
	_inherits(Spinner, _Component);

	function Spinner() {
		var _ref;

		var _temp, _this, _ret;

		_classCallCheck(this, Spinner);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = Spinner.__proto__ || Object.getPrototypeOf(Spinner)).call.apply(_ref, [this].concat(args))), _this), _this.render = function () {
			var componentClass = (0, _classnames2.default)('Spinner', 'Spinner--' + _this.props.type, 'Spinner--' + _this.props.size, _this.props.className);

			return _react2.default.createElement(
				'div',
				{ className: componentClass },
				_react2.default.createElement('span', { className: 'Spinner_dot Spinner_dot--first' }),
				_react2.default.createElement('span', { className: 'Spinner_dot Spinner_dot--second' }),
				_react2.default.createElement('span', { className: 'Spinner_dot Spinner_dot--third' })
			);
		}, _temp), _possibleConstructorReturn(_this, _ret);
	}

	return Spinner;
}(_react.Component);

Spinner.propTypes = {
	className: _propTypes2.default.string,
	size: _propTypes2.default.oneOf(['sm', 'md', 'lg']),
	type: _propTypes2.default.oneOf(['default', 'primary', 'inverted'])
};
Spinner.defaultProps = {
	type: 'default',
	size: 'sm'
};
exports.default = Spinner;